/*====================================================
Responsive Styles - Optimized
====================================================*/
@media (min-width: 576px) {
    .container {
        max-width: 95%;
        padding: 0 20px;
    }
}

@media (min-width: 768px) {
    .container {
        max-width: 720px;
    }
}

@media (min-width: 820px) {
    .container {
        max-width: 800px;
    }
}

@media (min-width: 992px) {
    .container {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 1140px;
    }
}

@media (min-width: 1400px) {
    .container {
        max-width: 1320px;
    }
}

@media (max-width: 1400px) {

    .hero-slider,
    .hero-slider__container {
        height: auto;
    }
}

@media (max-width: 1200px) {
    .footer-info.footer-subscribe {
        padding-left: 10%;
    }
}

@media (max-width: 1024px) {

    .brand-slider {
        padding: 50px 0;
    }

    .brand-slider__slide {
        padding: 0 0px;
    }

    .brand-slider__logo {
        max-width: 100px;
    }
}

@media (min-width: 993px) and (max-width: 1200px) {
    .testimonial-image img {
        max-width: 212px;
        height: 100%;
    }

    .quote-author {
        font-size: 1.25rem;
        color: #dcdcdc;
        margin-top: 1rem;
    }
}

@media (max-width: 992px) {

    .grid.image-side-content__block,
    .grid-reverse.image-side-content__block {
        flex-direction: column-reverse;
        flex-wrap: nowrap;
    }

    .footer-info.footer-subscribe {
        padding-left: 0;
    }

    .post-details-top__meta-item {
        gap: 80px;
    }

    .image-side-content__right .image-side-content__content-wrapper {
        padding-left: 16px;
        margin-top: 30px;
    }

    .post-details-top__title {
        max-width: 100%;
    }

    .post-details-top__meta {
        max-width: 100%;
        float: none;
    }

    .post-details-sidebar {
        padding-left: 0;
    }

    .contact-info-card {
        max-width: 350px;
        float: right;
    }

    .product-info-slider__image-wrapper {
        justify-content: center;
    }

    .product-info-slider__image-wrapper img {
        width: 100%;
        max-width: 100%;
    }

    .product-info-slider__nav {
        display: none;
    }

    .swiper.product-info-slider__container {
        padding: 0;
        padding-bottom: 50px;
    }

    .swiper.product-info-slider__container .grid-middle {
        flex-direction: column-reverse;
    }

    .product-info-slider__btn {
        text-align: center;
    }

    .mission-vision__item {
        margin-top: 30px;
    }

    .image-side-content__content-wrapper {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
}

@media (max-width: 768px) {

    .hero-slider,
    .hero-slider__container {
        height: auto;
    }

    .hero-slider__slide {
        padding: 0;
    }

    .hero-slider__title {
        margin-bottom: 15px;
    }

    .hero-slider__subtitle {
        margin-bottom: 15px;
    }

    .features__icon-wrapper {
        width: 100px;
        height: 100px;
    }

    .features__icon {
        width: 100px;
        height: 100px;
    }

    .brand-slider {
        padding: 40px 0;
    }

    .brand-slider__container {
        padding: 0 15px;
    }

    .brand-slider__slide {
        padding: 0 0px;
    }

    .brand-slider__logo {
        max-width: 100px;
        max-height: auto;
    }

    .testimonial-image img {
        max-width: 200px;
        height: 100%;
    }

    .quote-author {
        font-size: 1.25rem;
        color: #dcdcdc;
        margin-top: 1rem;
    }

    .testimonial-quote {
        padding: 16px;
    }

    .testimonial-swiper {
        width: 100%;
    }

    #blog-first-post.blog-first-post {
        height: 250px;
    }

    #ajax-load-more {
        padding: 12px 25px;
        font-size: 14px;
        min-width: 180px;
    }

    .contact-info-card {
        max-width: 100%;
        float: none;
    }

    .footer-column-2 {
        padding: 0 .5rem 1rem;
    }

    #innerpage-banner {
        height: 290px;
    }
}

@media (max-width: 576px) {

    .footer-container {
        flex-direction: column;
        gap: 30px;
    }

    .subscribe-box {
        flex-direction: column;
    }

    .subscribe-box input,
    .subscribe-box button {
        width: 100%;
        border: 1px solid #ccc;
        border-radius: 8px;
        -webkit-border-radius: 8px;
        -moz-border-radius: 8px;
        -ms-border-radius: 8px;
        -o-border-radius: 8px;
    }

    .subscribe-box button {
        margin-top: 10px;
    }

    .footer-bottom {
        flex-direction: column;
        gap: 10px;
        text-align: center;
    }

    .faq__icon {
        min-width: 30px;
        min-height: 30px;
        display: flex;
        justify-content: center;
    }

    .faq__icon img {
        width: 20px;
        height: 20px;
    }
}

@media (max-width: 480px) {
    .container {
        padding: 0 20px;
    }

    .brand-slider {
        padding: 30px 0;
    }

    .brand-slider__slide {
        padding: 0 0px;
    }

    .brand-slider__logo {
        max-width: 100px;
        max-height: auto;
    }

    .testimonial-content {
        flex-direction: column;
    }

    .testimonial-image img {
        width: 100%;
        max-width: 100%;
        height: 100%;
        border-radius: 16px 16px 0 0;
    }

    .quote-author {
        font-size: 1.25rem;
        color: #dcdcdc;
        margin-top: 1rem;
    }

    .product-tabs-list li {
        list-style: none;
        width: 100%;
    }

    .product-tab-btn.btn {
        width: 100% !important;
    }

    .social-links-wrapper {
        align-items: flex-start;
        gap: 0;
        flex-direction: column;
    }
}